Subject: Re: bug#65250: 30.0.50; "C-h f" is much slower on the master branch

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Aug 2023 15:19:16 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 14 Aug 2023 04:59:18 -0400
> 
> I'm failing to reproduce it, this is what I did on latest master:
> 
> ~~~
> 
> CFLAGS='-g3 -O0' make bootstrap  -j16
> 
> ./src/emacs -Q
> 
> M-: (require 'dictionary)
> 
> C-h f dictionary-search RET
> 
> ~~~
> 
> The result is pretty much istantaneous on my machine.
> 
> I guess I'm doing something different from what you did?

My configuration was included with the report:

   'configure -C --prefix=/d/usr --with-wide-int
   --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Perhaps --enable-checking makes the difference?

If even that doesn't show the problem, just time the above and compare
with Emacs 29: it's possible that the command is much faster on your
system, but the question is it significantly slower than Emacs 29?